from configparser import ConfigParser


def config(filename='database.ini', section='postgresql'):
    """
    Creates a parser for configuration file.
    Parameters
    ----------
    filename
        Name of the configuration file.
    section
        Section to use as source of information.
    Returns
    -------
        A dictionary of parameter values.
    """

    # create a parser
    parser = ConfigParser()

    # read config file
    parser.read(filename)

    # get section, default to postgresql
    db = {}
    if parser.has_section(section):
        params = parser.items(section)
        for param in params:
            db[param[0]] = param[1]
    else:
        raise Exception('Section {0} not found in the {1} file'.format(section, filename))

    return db
